Skip to main content
`Ctrl`+`K`
scipy.signal.

# cspline2d

scipy.signal.cspline2d(signal, lamb=0.0, precision=-1.0)

  Coefficients for 2-D cubic (3rd order) B-spline.

  Return the third-order B-spline coefficients over a regularly spaced input grid for the two-dimensional input image.

  Parameters:
    input ndarray

      The input signal.

    lamb float

      Specifies the amount of smoothing in the transfer function.

    precision float

      Specifies the precision for computing the infinite sum needed to apply mirror-symmetric boundary conditions.

  Returns:
    output ndarray

      The filtered signal.